List decisions
curl --request GET \
--url https://api.cloud.corbado.io/v1/observe/decisions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.corbado.io/v1/observe/decisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.corbado.io/v1/observe/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"longPathAlias": "<string>"
}
]{
"error": {
"message": "Validation failed",
"details": [
{
"field": "projectID",
"message": "required"
}
]
}
}Catalogs and labels
List decisions
Lists Observe decisions for the authenticated project.
Required API key permission: observe:catalog:read.
GET
/
observe
/
decisions
List decisions
Authorizations
Use an Observe API key from the management console. The key selects the project and must grant the permission listed on the operation. Keep this key on your server.
Response
Decisions.
Decision ID (format dec-<number>).
Name of the decision.
Short per-project token used for this decision in ob_flow long_paths (the d_<token> value). Defaults to id, so old long_paths (which use the raw id) and new ones (which use the alias) are both resolvable: index decisions by BOTH id and longPathAlias.
Was this page helpful?